[arch-commits] Commit in python-pydot/repos (2 files)

Felix Yan felixonmars at gemini.archlinux.org
Wed Dec 1 14:57:25 UTC 2021


    Date: Wednesday, December 1, 2021 @ 14:57:25
  Author: felixonmars
Revision: 1059597

archrelease: copy trunk to community-staging-any

Added:
  python-pydot/repos/community-staging-any/
  python-pydot/repos/community-staging-any/PKGBUILD
    (from rev 1059595, python-pydot/trunk/PKGBUILD)

----------+
 PKGBUILD |   34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

Copied: python-pydot/repos/community-staging-any/PKGBUILD (from rev 1059595, python-pydot/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2021-12-01 14:57:25 UTC (rev 1059597)
@@ -0,0 +1,34 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contrinutor: shining <shiningxc at gmail.com>
+# Contributor: phillid <dbphillipsnz _at_thingy_that_swirly_a_symbol gmaildott comm>
+
+pkgname=python-pydot
+pkgver=1.4.2
+pkgrel=2
+pkgdesc="Python interface to Graphviz's Dot"
+arch=('any')
+url="https://github.com/erocarrera/pydot"
+license=('MIT')
+depends=('python-pyparsing' 'graphviz')
+makedepends=('python-setuptools')
+checkdepends=('python-chardet')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/erocarrera/pydot/archive/v$pkgver.tar.gz")
+sha512sums=('caa8051561710129b5164fd1392da941829fd977092a6ec8b00efe7a199d2d60bc7ef13cb0e51615f384550f0fb80190d0f56b83d8d80d1fe372efb5dbbd3632')
+
+build() {
+  cd pydot-$pkgver
+  python setup.py build
+}
+
+check() {
+  # https://github.com/pydot/pydot/issues/204
+
+  cd "$srcdir"/pydot-$pkgver/test
+  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python pydot_unittest.py || echo "Tests failed"
+}
+
+package() {
+  cd pydot-$pkgver
+  python setup.py install -O1 --root="$pkgdir"
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list